org.apache.ignite.internal.processors.odbc.odbc.escape

## Class OdbcEscapeParseResult

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.odbc.escape.OdbcEscapeParseResult

    public class OdbcEscapeParseResult
    extends Object

ODBC escape sequence parse result.

### Constructor Summary

Constructors
Constructor and Description
`OdbcEscapeParseResult(int originalStart, int originalLen, String res)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `originalLength()`
`int` `originalStart()`
`String` `result()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### OdbcEscapeParseResult

    public OdbcEscapeParseResult(int originalStart,
                                 int originalLen,
                                 String res)

Constructor.

Parameters:
  `originalStart` - Original start position.
  `originalLen` - Original length.
  `res` - Resulting text.

### Method Detail

#### originalStart

    public int originalStart()

Returns:
  Original start position.

#### originalLength

    public int originalLength()

Returns:
  Original length.

#### result

    public String result()

Returns:
  Resulting text.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023